module Aio::Module

	class Platform
		attr_reader :platform
	end

	class RT < Platform
		def self.to_s; "route"; end
	end

	class SW < Platform
		def self.to_s; "switch"; end
	end

	class FW < Platform
		def self.to_s; "failwall"; end
	end

	class RS < Platform
		def self.to_s; "route & switch"; end
	end

	class RF < Platform
		def self.to_s; "route & failwall"; end
	end

	class ALL < Platform
		def self.to_s; "route & switch & failwall"; end
	end
end
