#coding=utf-8

module Aio::Module
	class SpecialStyle
		class MethodError < StandardError; end

		attr_accessor :special_info

		def initialize(info={})
			@special_info = info.dup
			set_defaults()
		end

		def set_defaults
			self.special_info = {
				:author 		=> nil,
				:description => nil,
				:license			=> ::Aio::AIO_LICENSE,
			}.update(@special_info)
		end

		def type
			Aio::Module::SpecialStyle
		end

		def parse
			raise MethodError, "请重载此方法"
		end
	end
end
