#coding=utf-8

require "aio/core"

class Aio::Module::Cmd::Cisco::ShowInterfaceIpBrief < Aio::Module::Cmd::Cisco
	include Aio::Module
	include Aio::Ui::Verbose

	def initialize
		super({
			:cmd_full				=> "show interface ip brief",
			:cmd_short			=> "sh int ip b",
			:author					=> "Elin",
			:description		=> "This is Cisco ASA Command# show interface ip brief",
			:ranking				=> Ranking_1,
			:platform				=> FW,
		})
	end

	def parse
		call_cmd(Aio::Module::Cmd::Cisco::ShowIpInterfaceBrief)
	end
end

