#coding=utf-8

require "aio/core"
require "pp"

class Aio::Module::OutputStyle::CompareReport < Aio::Module::OutputStyle

	include Aio::Ui::Verbose

	def initialize
		super({
			:author			=> "Elin",
			:description	=> "这个模块用来输出比较信息报告",
			:file_suffix 	=> "txt",
		})
	end

	def generate
		file = File.new(output_file, "w+")

		$stdout = file
		device_manager.each_devices do |device_name, klass|
			pp device_name
			pp klass.warning_klass
			puts
		end

		$stdout = STDOUT
	end

end	# class
