# 此配置模块用于过滤多余的警告信息

module Aio::Config
  module Warning
    Pass = "pass"

    Serious = [
      #:crc,
      #:input_errors,
    ]

    Ordinary = [
      #:total_output_drops,
      :iface_resets,
      :giants,
    ]

    # 包括数值 或者 Pass
    Compare = {
      # version
      uptime: Pass,
      # interface
      crc:   50,
      frame: Pass,
      # memory
      proc_ratio: 50,
      # cpu
      minute_1:  10,
      minutes_5: 10,
      # clock
      time:  Pass,
      week:  Pass,
      year:  Pass,
      month: Pass,
      day:   Pass,
    }
  end
end

