module Aio::Base::Toolkit
	module OS
		class << self
			def os_family  
				case RUBY_PLATFORM  
				when /ix/i, /ux/i, /gnu/i,  
						 /sysv/i, /solaris/i,  
						 /sunos/i, /bsd/i  
					"unix"  
				when /win/i, /ming/i  
					"windows"  
				else  
					"other"  
				end  
			end

			def windows?
				self.os_family == "windows" ? true : false
			end

			def linux?
				self.os_family == "unix" ? true : false
			end
		end  	
	end
end
