module Aio::Module

  class Compare
    
    # 比较文件
    attr_accessor :compare

    # 被比较的文件
    attr_accessor :compared

    def initialize
      @compare = {}
      @compared = {}

      @config_compare = Aio::Config::Warning::Compare
    end

    def compare_add(key, val)
      @compare[key] = val
    end

    def compared_add(key, val)
      @compared[key] = val
    end

    # 融合比较文件的内容
    def compare_merge(hash)
      @compare.merge!(hash)
    end

    # 融合被比较文件的内容
    def compared_merge(hash)
      @compared.merge(hash)
    end

  end
end


