#coding=utf-8

module Aio::Parse
	class ErrorMachineMethod < StandardError
		def to_s; "请重载此状态机方法"; end
	end

	class ParentState
		def initialize(machine)
			@machine = machine
		end

    def get_device
      raise ErrorMachineMethod.new
    end

		def get_full
			raise ErrorMachineMethod.new
		end
		
		def device_manager
			@machine.device_manager
		end
	end
end

