#coding=utf-8

require "aio/core"

class Aio::Module::Cmd::Maipu::ShowMemory < Aio::Module::Cmd::Maipu
  include Aio::Module

  def initialize
    super({
      :cmd_full			=> "show memory",
      :cmd_short		=> "sh mem", 
      :author				=> "Elin",
      :description	=> "This is Maipu Command# show memory",
      :ranking			=> Ranking_1,
      :platform			=> "all",
      :benchmark		=> {
        :used_percent		=> ["<", 70.0],		
      }
    })
  end

  def parse
    cont = self.context.dup
    useful[:memory] = {}
    cont.readline_match_block(/STATISTICS/) {|b|b}
    cont.readline_match_block(/(?<used_percent>\d+[\.]\d+)%/) do |block|
      block.warning_serious(useful[:memory], :used_percent, self)
    end
  end
end

